// Copyright (C) 2020  Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions 
// and other software and tools, and any partner logic 
// functions, and any output files from any of the foregoing 
// (including device programming or simulation files), and any 
// associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License 
// Subscription Agreement, the Intel Quartus Prime License Agreement,
// the Intel FPGA IP License Agreement, or other applicable license
// agreement, including, without limitation, that your use is for
// the sole purpose of programming logic devices manufactured by
// Intel and sold by Intel or its authorized distributors.  Please
// refer to the applicable agreement for further details, at
// https://fpgasoftware.intel.com/eula.

module top
(
	// CLKs from SI5338A (U3)
	input			CLK_B3B,	// CLK1A
	input			CLK_B3B_n,	// CLK1B
	input			CLK_B4A,	// CLK3A
	input			CLK_B4A_n,	// CLK3B
	
	// FPGA dip switch
	input			FPGA_SW1,
	input			FPGA_SW2,
	// FPGA reset button
	input			FPGA_RST,
	// connected to user button USER_BTN_SW
	input			USER_BTN_FPGA,
	inout			USER_BTN_HPS,
	
	// LEDs
	output			LED_FPGA_1,
	output			LED_FPGA_2,
	inout			LED_HPS_1,
	inout			LED_HPS_2,
	
	// HDMI
	output			CEC_CLK,
	output			CT_HPD,
	output			HDMI_CLK,
	output			HDMI_DE,
	output			HDMI_HS,
	output	[23:0]	HDMI_D,
	inout			HDMI_I2C_SDA_PL,
	inout			HDMI_I2C_SCL_PL,
	input			HDMI_INT,
	output			HDMI_SPDIF,
	input			HDMI_SPDIFOUT,
	output			HDMI_VS,
	output			LS_OE,
	
	// SMA socket
	input			CLK_OUTPUT,
	output			EXT_CLK_INPUT,
	output			TRIGGER_INPUT,
	input			TRIGGER_OUTPUT,

	// HPS UART0 interface
	output			FTDI_RX,
	input			FTDI_TX,

	// HPS I2C1 interface
	inout			HPS_I2C_SCL,
	inout			HPS_I2C_SDA,
	
	// FPGA DDR3 interface
	output	[14:0]	FPGA_DDR3_A,
	output	[2:0]	FPGA_DDR3_BA,
	output			FPGA_DDR3_CAS,
	output			FPGA_DDR3_CKE0,
	output			FPGA_DDR3_CLK0,
	output			FPGA_DDR3_CLK0_n,
	inout	[31:0]	FPGA_DDR3_D,
	output	[3:0]	FPGA_DDR3_DM,
	inout	[3:0]	FPGA_DDR3_DQS,
	inout	[3:0]	FPGA_DDR3_DQS_n,
	output			FPGA_DDR3_ODT0,
	output			FPGA_DDR3_RAS,
	output			FPGA_DDR3_RESET,
	input			FPGA_DDR3_RZQIN,
	output			FPGA_DDR3_S0,
	output			FPGA_DDR_WE,
	
	// HPS DDR3 interface
	output	[14:0]	HPS_DDR3_A,
	output	[2:0]	HPS_DDR3_BA,
	output			HPS_DDR3_CAS,
	output			HPS_DDR3_CKE0,
	output			HPS_DDR3_CLK0,
	output			HPS_DDR3_CLK0_n,
	inout	[31:0]	HPS_DDR3_D,
	output	[3:0]	HPS_DDR3_DM,
	inout	[3:0]	HPS_DDR3_DQS,
	inout	[3:0]	HPS_DDR3_DQS_n,
	output			HPS_DDR3_ODT0,
	output			HPS_DDR3_RAS,
	output			HPS_DDR3_RESET,
	input			HPS_DDR3_RZQIN,
	output			HPS_DDR3_S0,
	output			HPS_DDR3_WE,

	// Voltage selection for FMC_VADJ (U43)
	inout			CPU_GPIO_0,	// VS0
	inout			CPU_GPIO_1,	// VS1
	inout			CPU_GPIO_2,	// VS2
	// Power enable control for FMC_VADJ
	inout			CPU_GPIO_3,
	// FAN enable control 
	inout			CPU_GPIO_4,

	// HPS EMAC1 interface
	output			ETH_MDC,
	inout			ETH_MDIO,
	inout			ETH_RST,
	input			ETH_RXCK,
	input			ETH_RXCTL,
	input	[3:0]	ETH_RXD,
	output			ETH_TXCK,
	output			ETH_TXCTL,
	output	[3:0]	ETH_TXD,
	inout			PHY_INT,
	
	// HPS QSPI interface
	output			QSPI_CLK,
	output			QSPI_CS,
	inout	[3:0]	QSPI_DATA,

	// HPS USB1 interface
	input			USB_CLK,
	inout	[7:0]	USB_DATA,
	input			USB_DIR,
	input			USB_NXT,
	inout			USB_RST,
	output			USB_STP,

	// HPS SD/MMC interface
	output			SD_CLK,
	inout			SD_CMD,
	inout	[3:0]	SD_DAT,
	
	// connection to MAX10 FPGA
	// FPGA UART interface
	input			FPGA_GPIO_0,	// RXD
	output			FPGA_GPIO_1,	// TXD
	// not used in current MAX10 FPGA firmware
	// input/output			FPGA_GPIO_2,
	// input/output			FPGA_GPIO_3,
	// input/output			FPGA_GPIO_4,
	// input/output			FPGA_GPIO_5,
	// input/output			FPGA_GPIO_6,
	// input/output			FPGA_GPIO_7,
	// input/output			FPGA_GPIO_8,
	// input/output			FPGA_GPIO_9,
	// input/output			FPGA_GPIO_10,
	// input/output			FPGA_GPIO_11,
	// input/output			FPGA_GPIO_12,
	
	// output			FPGA_TP_0,
	// output			FPGA_TP_1,
	// output			FPGA_TP_2,
	// output			FPGA_TP_3,
	// output			FPGA_TP_4,
	// output			FPGA_TP_5,
	
	// PMOD socket P1
	// input/output			P0_IO1,
	// input/output			P0_IO2,
	// input/output			P0_IO3,
	// input/output			P0_IO4,
	// input/output			P0_IO5,
	// input/output			P0_IO6,
	// input/output			P0_IO7,
	// input/output			P0_IO8,
	
	// PMOD socket P2
	// input/output			P1_IO1,
	// input/output			P1_IO2,
	// input/output			P1_IO3,
	// input/output			P1_IO4,
	// input/output			P1_IO5,
	// input/output			P1_IO6,
	// input/output			P1_IO7,
	// input/output			P1_IO8,
	
	// PMOD socket P3
	// input/output			P2_IO1,
	// input/output			P2_IO2,
	// input/output			P2_IO3,
	// input/output			P2_IO4,
	// input/output			P2_IO5,
	// input/output			P2_IO6,
	// input/output			P2_IO7,
	// input/output			P2_IO8,
	
	// PMOD socket P4
	// input/output			P3_IO1,
	// input/output			P3_IO2,
	// input/output			P3_IO3,
	// input/output			P3_IO4,
	// input/output			P3_IO5,
	// input/output			P3_IO6,
	// input/output			P3_IO7,
	// input/output			P3_IO8,	

	// FMC
	// input/output			CLK0_M2C,
	// input/output			CLK0_M2C_n,
	// input/output			CLK1_M2C,
	// input/output			CLK1_M2C_n,
	// input/output			FMC_PG_C2M,
	// input/output			FMC_PRSNT_M2,
	// input/output			LA00_CC_P,
	// input/output			LA00_CC_N,
	// input/output			LA01_CC_P,
	// input/output			LA01_CC_N,
	// input/output			LA02_P,
	// input/output			LA02_N,
	// input/output			LA03_P,
	// input/output			LA03_N,
	// input/output			LA04_P,
	// input/output			LA04_N,
	// input/output			LA05_P,
	// input/output			LA05_N,
	// input/output			LA06_P,
	// input/output			LA06_N,
	// input/output			LA07_P,
	// input/output			LA07_N,
	// input/output			LA08_P,
	// input/output			LA08_N,
	// input/output			LA09_P,
	// input/output			LA09_N,
	// input/output			LA10_P,
	// input/output			LA10_N,
	// input/output			LA11_P,
	// input/output			LA11_N,
	// input/output			LA12_P,
	// input/output			LA12_N,
	// input/output			LA13_P,
	// input/output			LA13_N,
	// input/output			LA14_P,
	// input/output			LA14_N,
	// input/output			LA15_P,
	// input/output			LA15_N,
	// input/output			LA16_P,
	// input/output			LA16_N,
	// input/output			LA17_CC_P,
	// input/output			LA17_CC_N,
	// input/output			LA18_CC_P,
	// input/output			LA18_CC_N,
	// input/output			LA19_P,
	// input/output			LA19_N,
	// input/output			LA20_P,
	// input/output			LA20_N,
	// input/output			LA21_P,
	// input/output			LA21_N,
	// input/output			LA22_P,
	// input/output			LA22_N,
	// input/output			LA23_P,
	// input/output			LA23_N,
	// input/output			LA24_P,
	// input/output			LA24_N,
	// input/output			LA25_P,
	// input/output			LA25_N,
	// input/output			LA26_P,
	// input/output			LA26_N,
	// input/output			LA27_P,
	// input/output			LA27_N,
	// input/output			LA28_P,
	// input/output			LA28_N,
	// input/output			LA29_P,
	// input/output			LA29_N,
	// input/output			LA30_P,
	// input/output			LA30_N,
	// input/output			LA31_P,
	// input/output			LA31_N,
	// input/output			LA32_P,
	// input/output			LA32_N,
	// input/output			LA33_P,
	// input/output			LA33_N,
	
	// FMC pins connected to HPS
	inout			FMC_SCL,
	inout			FMC_SDA,
	inout			FMC_PG_C2M,
	inout			FMC_PRSNT_M2C
);

// Please add design utilities you need before start compilation, otherwise, it probably runs into errors.

endmodule
