# qsys scripting (.tcl) file for QSYS_test_board
package require -exact qsys 16.0
# #TE_MOD#_Add next line
set arg [split $::args "|"] 
# #TE_MOD#_Add next line
set ::device [lindex $arg 0] 
# #TE_MOD#_Add next line
set ::device_family [lindex $arg 1] 
# #TE_MOD#_Add next line
set ::ddr_device [lindex $arg 2] 
# #TE_MOD#_Add next line
set ::sdk_name [lindex $arg 3] 

create_system {QSYS_test_board}

# #TE_MOD# set_project_property DEVICE_FAMILY {Cyclone V} 
# #TE_MOD#_Add next line 
set_project_property DEVICE_FAMILY $::device_family
# #TE_MOD# set_project_property DEVICE {5CSEMA5F31C8} 
# #TE_MOD#_Add next line 
set_project_property DEVICE $::device
set_project_property HIDE_FROM_IP_CATALOG {false}

# Instances and instance parameters
# (disabled instances are intentionally culled)
add_instance fpga_led altera_avalon_pio 21.1
set_instance_parameter_value fpga_led {bitClearingEdgeCapReg} {0}
set_instance_parameter_value fpga_led {bitModifyingOutReg} {0}
set_instance_parameter_value fpga_led {captureEdge} {0}
set_instance_parameter_value fpga_led {direction} {Output}
set_instance_parameter_value fpga_led {edgeType} {RISING}
set_instance_parameter_value fpga_led {generateIRQ} {0}
set_instance_parameter_value fpga_led {irqType} {LEVEL}
set_instance_parameter_value fpga_led {resetValue} {0.0}
set_instance_parameter_value fpga_led {simDoTestBenchWiring} {0}
set_instance_parameter_value fpga_led {simDrivenValue} {0.0}
set_instance_parameter_value fpga_led {width} {2}

add_instance fpga_sw altera_avalon_pio 21.1
set_instance_parameter_value fpga_sw {bitClearingEdgeCapReg} {0}
set_instance_parameter_value fpga_sw {bitModifyingOutReg} {0}
set_instance_parameter_value fpga_sw {captureEdge} {1}
set_instance_parameter_value fpga_sw {direction} {Input}
set_instance_parameter_value fpga_sw {edgeType} {ANY}
set_instance_parameter_value fpga_sw {generateIRQ} {1}
set_instance_parameter_value fpga_sw {irqType} {EDGE}
set_instance_parameter_value fpga_sw {resetValue} {0.0}
set_instance_parameter_value fpga_sw {simDoTestBenchWiring} {0}
set_instance_parameter_value fpga_sw {simDrivenValue} {0.0}
set_instance_parameter_value fpga_sw {width} {2}

add_instance hdmi_axi_dmac axi_dmac 1.0
set_instance_parameter_value hdmi_axi_dmac {ASYNC_CLK_DEST_REQ_MANUAL} {1}
set_instance_parameter_value hdmi_axi_dmac {ASYNC_CLK_REQ_SRC_MANUAL} {1}
set_instance_parameter_value hdmi_axi_dmac {ASYNC_CLK_SRC_DEST_MANUAL} {1}
set_instance_parameter_value hdmi_axi_dmac {AUTO_ASYNC_CLK} {1}
set_instance_parameter_value hdmi_axi_dmac {AXI_SLICE_DEST} {0}
set_instance_parameter_value hdmi_axi_dmac {AXI_SLICE_SRC} {0}
set_instance_parameter_value hdmi_axi_dmac {CYCLIC} {1}
set_instance_parameter_value hdmi_axi_dmac {DISABLE_DEBUG_REGISTERS} {0}
set_instance_parameter_value hdmi_axi_dmac {DMA_2D_TRANSFER} {1}
set_instance_parameter_value hdmi_axi_dmac {DMA_AXIS_DEST_W} {4}
set_instance_parameter_value hdmi_axi_dmac {DMA_AXIS_ID_W} {8}
set_instance_parameter_value hdmi_axi_dmac {DMA_AXI_PROTOCOL_DEST} {1}
set_instance_parameter_value hdmi_axi_dmac {DMA_AXI_PROTOCOL_SRC} {1}
set_instance_parameter_value hdmi_axi_dmac {DMA_DATA_WIDTH_DEST} {64}
set_instance_parameter_value hdmi_axi_dmac {DMA_DATA_WIDTH_SRC} {64}
set_instance_parameter_value hdmi_axi_dmac {DMA_LENGTH_WIDTH} {24}
set_instance_parameter_value hdmi_axi_dmac {DMA_TYPE_DEST} {1}
set_instance_parameter_value hdmi_axi_dmac {DMA_TYPE_SRC} {0}
set_instance_parameter_value hdmi_axi_dmac {ENABLE_DIAGNOSTICS_IF} {0}
set_instance_parameter_value hdmi_axi_dmac {FIFO_SIZE} {8}
set_instance_parameter_value hdmi_axi_dmac {HAS_AXIS_TDEST} {0}
set_instance_parameter_value hdmi_axi_dmac {HAS_AXIS_TID} {0}
set_instance_parameter_value hdmi_axi_dmac {HAS_AXIS_TKEEP} {0}
set_instance_parameter_value hdmi_axi_dmac {HAS_AXIS_TLAST} {1}
set_instance_parameter_value hdmi_axi_dmac {HAS_AXIS_TSTRB} {0}
set_instance_parameter_value hdmi_axi_dmac {HAS_AXIS_TUSER} {0}
set_instance_parameter_value hdmi_axi_dmac {ID} {0}
set_instance_parameter_value hdmi_axi_dmac {MAX_BYTES_PER_BURST} {128}
set_instance_parameter_value hdmi_axi_dmac {SYNC_TRANSFER_START} {0}

add_instance hdmi_axi_tx axi_hdmi_tx 1.0
set_instance_parameter_value hdmi_axi_tx {CR_CB_N} {0}
set_instance_parameter_value hdmi_axi_tx {FPGA_TECHNOLOGY_MANUAL} {100}
set_instance_parameter_value hdmi_axi_tx {ID} {0}
set_instance_parameter_value hdmi_axi_tx {INTERFACE} {24_BIT}

add_instance hdmi_pll altera_pll 21.1
set_instance_parameter_value hdmi_pll {debug_print_output} {0}
set_instance_parameter_value hdmi_pll {debug_use_rbc_taf_method} {0}
set_instance_parameter_value hdmi_pll {gui_active_clk} {0}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency0} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency1} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency10} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency11} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency12} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency13} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency14} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency15} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency16} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency17} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency2} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency3} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency4} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency5} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency6} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency7} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency8} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_output_clock_frequency9} {0 MHz}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift0} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift1} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift10} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift11} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift12} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift13} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift14} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift15} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift16} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift17} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift2} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift3} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift4} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift5} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift6} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift7} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift8} {0}
set_instance_parameter_value hdmi_pll {gui_actual_phase_shift9} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter0} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter1} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter10} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter11} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter12} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter13} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter14} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter15} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter16} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter17} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter2} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter3} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter4} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter5} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter6} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter7} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter8} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_counter9} {0}
set_instance_parameter_value hdmi_pll {gui_cascade_outclk_index} {0}
set_instance_parameter_value hdmi_pll {gui_channel_spacing} {0.0}
set_instance_parameter_value hdmi_pll {gui_clk_bad} {0}
set_instance_parameter_value hdmi_pll {gui_device_speed_grade} {2}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c0} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c1} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c10} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c11} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c12} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c13} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c14} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c15} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c16} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c17} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c2} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c3} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c4} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c5} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c6} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c7} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c8} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_c9} {1}
set_instance_parameter_value hdmi_pll {gui_divide_factor_n} {1}
set_instance_parameter_value hdmi_pll {gui_dps_cntr} {C0}
set_instance_parameter_value hdmi_pll {gui_dps_dir} {Positive}
set_instance_parameter_value hdmi_pll {gui_dps_num} {1}
set_instance_parameter_value hdmi_pll {gui_dsm_out_sel} {1st_order}
set_instance_parameter_value hdmi_pll {gui_duty_cycle0} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle1} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle10} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle11} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle12} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle13} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle14} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle15} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle16} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle17} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle2} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle3} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle4} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle5} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle6} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle7} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle8} {50}
set_instance_parameter_value hdmi_pll {gui_duty_cycle9} {50}
set_instance_parameter_value hdmi_pll {gui_en_adv_params} {0}
set_instance_parameter_value hdmi_pll {gui_en_dps_ports} {0}
set_instance_parameter_value hdmi_pll {gui_en_phout_ports} {0}
set_instance_parameter_value hdmi_pll {gui_en_reconf} {0}
set_instance_parameter_value hdmi_pll {gui_enable_cascade_in} {0}
set_instance_parameter_value hdmi_pll {gui_enable_cascade_out} {0}
set_instance_parameter_value hdmi_pll {gui_enable_mif_dps} {0}
set_instance_parameter_value hdmi_pll {gui_feedback_clock} {Global Clock}
set_instance_parameter_value hdmi_pll {gui_frac_multiply_factor} {1.0}
set_instance_parameter_value hdmi_pll {gui_fractional_cout} {32}
set_instance_parameter_value hdmi_pll {gui_mif_generate} {0}
set_instance_parameter_value hdmi_pll {gui_multiply_factor} {1}
set_instance_parameter_value hdmi_pll {gui_number_of_clocks} {1}
set_instance_parameter_value hdmi_pll {gui_operation_mode} {direct}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency0} {148.48}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency1} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency10} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency11} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency12} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency13} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency14} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency15} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency16} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency17} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency2} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency3} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency4} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency5} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency6} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency7} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency8} {100.0}
set_instance_parameter_value hdmi_pll {gui_output_clock_frequency9} {100.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift0} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift1} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift10} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift11} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift12} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift13} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift14} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift15} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift16} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift17} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift2} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift3} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift4} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift5} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift6} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift7} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift8} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift9} {0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg0} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg1} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg10} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg11} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg12} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg13} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg14} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg15} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg16} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg17} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg2} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg3} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg4} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg5} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg6} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg7} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg8} {0.0}
set_instance_parameter_value hdmi_pll {gui_phase_shift_deg9} {0.0}
set_instance_parameter_value hdmi_pll {gui_phout_division} {1}
set_instance_parameter_value hdmi_pll {gui_pll_auto_reset} {Off}
set_instance_parameter_value hdmi_pll {gui_pll_bandwidth_preset} {Auto}
set_instance_parameter_value hdmi_pll {gui_pll_cascading_mode} {Create an adjpllin signal to connect with an upstream PLL}
set_instance_parameter_value hdmi_pll {gui_pll_mode} {Integer-N PLL}
set_instance_parameter_value hdmi_pll {gui_ps_units0} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units1} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units10} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units11} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units12} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units13} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units14} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units15} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units16} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units17} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units2} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units3} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units4} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units5} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units6} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units7} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units8} {ps}
set_instance_parameter_value hdmi_pll {gui_ps_units9} {ps}
set_instance_parameter_value hdmi_pll {gui_refclk1_frequency} {100.0}
set_instance_parameter_value hdmi_pll {gui_refclk_switch} {0}
set_instance_parameter_value hdmi_pll {gui_reference_clock_frequency} {100.0}
set_instance_parameter_value hdmi_pll {gui_switchover_delay} {0}
set_instance_parameter_value hdmi_pll {gui_switchover_mode} {Automatic Switchover}
set_instance_parameter_value hdmi_pll {gui_use_locked} {0}

add_instance hps altera_hps 21.1
set_instance_parameter_value hps {ABSTRACT_REAL_COMPARE_TEST} {0}
set_instance_parameter_value hps {ABS_RAM_MEM_INIT_FILENAME} {meminit}
set_instance_parameter_value hps {ACV_PHY_CLK_ADD_FR_PHASE} {0.0}
set_instance_parameter_value hps {AC_PACKAGE_DESKEW} {0}
set_instance_parameter_value hps {AC_ROM_USER_ADD_0} {0_0000_0000_0000}
set_instance_parameter_value hps {AC_ROM_USER_ADD_1} {0_0000_0000_1000}
set_instance_parameter_value hps {ADDR_ORDER} {0}
set_instance_parameter_value hps {ADD_EFFICIENCY_MONITOR} {0}
set_instance_parameter_value hps {ADD_EXTERNAL_SEQ_DEBUG_NIOS} {0}
set_instance_parameter_value hps {ADVANCED_CK_PHASES} {0}
set_instance_parameter_value hps {ADVERTIZE_SEQUENCER_SW_BUILD_FILES} {0}
set_instance_parameter_value hps {AFI_DEBUG_INFO_WIDTH} {32}
set_instance_parameter_value hps {ALTMEMPHY_COMPATIBLE_MODE} {0}
set_instance_parameter_value hps {AP_MODE} {0}
set_instance_parameter_value hps {AP_MODE_EN} {0}
set_instance_parameter_value hps {AUTO_PD_CYCLES} {0}
set_instance_parameter_value hps {AUTO_POWERDN_EN} {0}
set_instance_parameter_value hps {AVL_DATA_WIDTH_PORT} {32 32 32 32 32 32}
set_instance_parameter_value hps {AVL_MAX_SIZE} {4}
set_instance_parameter_value hps {BONDING_OUT_ENABLED} {0}
set_instance_parameter_value hps {BOOTFROMFPGA_Enable} {0}
set_instance_parameter_value hps {BSEL} {1}
set_instance_parameter_value hps {BSEL_EN} {0}
set_instance_parameter_value hps {BYTE_ENABLE} {1}
set_instance_parameter_value hps {C2P_WRITE_CLOCK_ADD_PHASE} {0.0}
set_instance_parameter_value hps {CALIBRATION_MODE} {Skip}
set_instance_parameter_value hps {CALIB_REG_WIDTH} {8}
set_instance_parameter_value hps {CAN0_Mode} {N/A}
set_instance_parameter_value hps {CAN0_PinMuxing} {Unused}
set_instance_parameter_value hps {CAN1_Mode} {N/A}
set_instance_parameter_value hps {CAN1_PinMuxing} {Unused}
set_instance_parameter_value hps {CFG_DATA_REORDERING_TYPE} {INTER_BANK}
set_instance_parameter_value hps {CFG_REORDER_DATA} {1}
set_instance_parameter_value hps {CFG_TCCD_NS} {2.5}
set_instance_parameter_value hps {COMMAND_PHASE} {0.0}
set_instance_parameter_value hps {CONTROLLER_LATENCY} {5}
set_instance_parameter_value hps {CORE_DEBUG_CONNECTION} {EXPORT}
set_instance_parameter_value hps {CPORT_TYPE_PORT} {Bidirectional Bidirectional Bidirectional Bidirectional Bidirectional Bidirectional}
set_instance_parameter_value hps {CSEL} {0}
set_instance_parameter_value hps {CSEL_EN} {0}
set_instance_parameter_value hps {CTI_Enable} {0}
set_instance_parameter_value hps {CTL_AUTOPCH_EN} {0}
set_instance_parameter_value hps {CTL_CMD_QUEUE_DEPTH} {8}
set_instance_parameter_value hps {CTL_CSR_CONNECTION} {INTERNAL_JTAG}
set_instance_parameter_value hps {CTL_CSR_ENABLED} {0}
set_instance_parameter_value hps {CTL_CSR_READ_ONLY} {1}
set_instance_parameter_value hps {CTL_DEEP_POWERDN_EN} {0}
set_instance_parameter_value hps {CTL_DYNAMIC_BANK_ALLOCATION} {0}
set_instance_parameter_value hps {CTL_DYNAMIC_BANK_NUM} {4}
set_instance_parameter_value hps {CTL_ECC_AUTO_CORRECTION_ENABLED} {0}
set_instance_parameter_value hps {CTL_ECC_ENABLED} {0}
set_instance_parameter_value hps {CTL_ENABLE_BURST_INTERRUPT} {0}
set_instance_parameter_value hps {CTL_ENABLE_BURST_TERMINATE} {0}
set_instance_parameter_value hps {CTL_HRB_ENABLED} {0}
set_instance_parameter_value hps {CTL_LOOK_AHEAD_DEPTH} {4}
set_instance_parameter_value hps {CTL_SELF_REFRESH_EN} {0}
set_instance_parameter_value hps {CTL_USR_REFRESH_EN} {0}
set_instance_parameter_value hps {CTL_ZQCAL_EN} {0}
set_instance_parameter_value hps {CUT_NEW_FAMILY_TIMING} {1}
set_instance_parameter_value hps {DAT_DATA_WIDTH} {32}
set_instance_parameter_value hps {DEBUGAPB_Enable} {0}
set_instance_parameter_value hps {DEBUG_MODE} {0}
set_instance_parameter_value hps {DEVICE_DEPTH} {1}
set_instance_parameter_value hps {DEVICE_FAMILY_PARAM} {}
set_instance_parameter_value hps {DISABLE_CHILD_MESSAGING} {0}
set_instance_parameter_value hps {DISCRETE_FLY_BY} {1}
set_instance_parameter_value hps {DLL_SHARING_MODE} {None}
set_instance_parameter_value hps {DMA_Enable} {No No No No No No No No}
set_instance_parameter_value hps {DQS_DQSN_MODE} {DIFFERENTIAL}
set_instance_parameter_value hps {DQ_INPUT_REG_USE_CLKN} {0}
set_instance_parameter_value hps {DUPLICATE_AC} {0}
set_instance_parameter_value hps {ED_EXPORT_SEQ_DEBUG} {0}
set_instance_parameter_value hps {EMAC0_Mode} {N/A}
set_instance_parameter_value hps {EMAC0_PTP} {0}
set_instance_parameter_value hps {EMAC0_PinMuxing} {Unused}
set_instance_parameter_value hps {EMAC1_Mode} {RGMII}
set_instance_parameter_value hps {EMAC1_PTP} {0}
set_instance_parameter_value hps {EMAC1_PinMuxing} {HPS I/O Set 0}
set_instance_parameter_value hps {ENABLE_ABS_RAM_MEM_INIT} {0}
set_instance_parameter_value hps {ENABLE_BONDING} {0}
set_instance_parameter_value hps {ENABLE_BURST_MERGE} {0}
set_instance_parameter_value hps {ENABLE_CTRL_AVALON_INTERFACE} {1}
set_instance_parameter_value hps {ENABLE_DELAY_CHAIN_WRITE} {0}
set_instance_parameter_value hps {ENABLE_EMIT_BFM_MASTER} {0}
set_instance_parameter_value hps {ENABLE_EXPORT_SEQ_DEBUG_BRIDGE} {0}
set_instance_parameter_value hps {ENABLE_EXTRA_REPORTING} {0}
set_instance_parameter_value hps {ENABLE_ISS_PROBES} {0}
set_instance_parameter_value hps {ENABLE_NON_DESTRUCTIVE_CALIB} {0}
set_instance_parameter_value hps {ENABLE_NON_DES_CAL} {0}
set_instance_parameter_value hps {ENABLE_NON_DES_CAL_TEST} {0}
set_instance_parameter_value hps {ENABLE_SEQUENCER_MARGINING_ON_BY_DEFAULT} {0}
set_instance_parameter_value hps {ENABLE_USER_ECC} {0}
set_instance_parameter_value hps {EXPORT_AFI_HALF_CLK} {0}
set_instance_parameter_value hps {EXTRA_SETTINGS} {}
set_instance_parameter_value hps {F2SCLK_COLDRST_Enable} {0}
set_instance_parameter_value hps {F2SCLK_DBGRST_Enable} {0}
set_instance_parameter_value hps {F2SCLK_PERIPHCLK_Enable} {0}
set_instance_parameter_value hps {F2SCLK_SDRAMCLK_Enable} {0}
set_instance_parameter_value hps {F2SCLK_WARMRST_Enable} {0}
set_instance_parameter_value hps {F2SDRAM_Type} {Avalon-MM\ Bidirectional}
set_instance_parameter_value hps {F2SDRAM_Width} {64}
set_instance_parameter_value hps {F2SINTERRUPT_Enable} {1}
set_instance_parameter_value hps {F2S_Width} {0}
set_instance_parameter_value hps {FIX_READ_LATENCY} {8}
set_instance_parameter_value hps {FORCED_NON_LDC_ADDR_CMD_MEM_CK_INVERT} {0}
set_instance_parameter_value hps {FORCED_NUM_WRITE_FR_CYCLE_SHIFTS} {0}
set_instance_parameter_value hps {FORCE_DQS_TRACKING} {AUTO}
set_instance_parameter_value hps {FORCE_MAX_LATENCY_COUNT_WIDTH} {0}
set_instance_parameter_value hps {FORCE_SEQUENCER_TCL_DEBUG_MODE} {0}
set_instance_parameter_value hps {FORCE_SHADOW_REGS} {AUTO}
set_instance_parameter_value hps {FORCE_SYNTHESIS_LANGUAGE} {}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_EMAC0_GTX_CLK} {125}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_EMAC0_MD_CLK} {2.5}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_EMAC1_GTX_CLK} {125}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_EMAC1_MD_CLK} {2.5}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_I2C0_CLK} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_I2C1_CLK} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_I2C2_CLK} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_I2C3_CLK} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_QSPI_SCLK_OUT} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_SDIO_CCLK} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_SPIM0_SCLK_OUT} {100}
set_instance_parameter_value hps {FPGA_PERIPHERAL_OUTPUT_CLOCK_FREQ_SPIM1_SCLK_OUT} {100}
set_instance_parameter_value hps {GPIO_Enable} {No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No Yes No No No No Yes Yes Yes Yes No No No No Yes No No No No Yes Yes Yes Yes Yes Yes No No Yes No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No}
set_instance_parameter_value hps {GP_Enable} {0}
set_instance_parameter_value hps {HARD_EMIF} {1}
set_instance_parameter_value hps {HCX_COMPAT_MODE} {0}
set_instance_parameter_value hps {HHP_HPS} {1}
set_instance_parameter_value hps {HHP_HPS_SIMULATION} {0}
set_instance_parameter_value hps {HHP_HPS_VERIFICATION} {0}
set_instance_parameter_value hps {HLGPI_Enable} {0}
set_instance_parameter_value hps {HPS_PROTOCOL} {DDR3}
set_instance_parameter_value hps {I2C0_Mode} {I2C}
set_instance_parameter_value hps {I2C0_PinMuxing} {HPS I/O Set 1}
set_instance_parameter_value hps {I2C1_Mode} {I2C}
set_instance_parameter_value hps {I2C1_PinMuxing} {HPS I/O Set 0}
set_instance_parameter_value hps {I2C2_Mode} {N/A}
set_instance_parameter_value hps {I2C2_PinMuxing} {Unused}
set_instance_parameter_value hps {I2C3_Mode} {N/A}
set_instance_parameter_value hps {I2C3_PinMuxing} {Unused}
set_instance_parameter_value hps {INCLUDE_BOARD_DELAY_MODEL} {0}
set_instance_parameter_value hps {INCLUDE_MULTIRANK_BOARD_DELAY_MODEL} {0}
set_instance_parameter_value hps {IS_ES_DEVICE} {0}
set_instance_parameter_value hps {LOANIO_Enable} {No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No No}
set_instance_parameter_value hps {LOCAL_ID_WIDTH} {8}
set_instance_parameter_value hps {LRDIMM_EXTENDED_CONFIG} {0x000000000000000000}
set_instance_parameter_value hps {LWH2F_Enable} {true}
set_instance_parameter_value hps {MARGIN_VARIATION_TEST} {0}
set_instance_parameter_value hps {MAX_PENDING_RD_CMD} {32}
set_instance_parameter_value hps {MAX_PENDING_WR_CMD} {16}
set_instance_parameter_value hps {MEM_ASR} {Manual}
set_instance_parameter_value hps {MEM_ATCL} {Disabled}
set_instance_parameter_value hps {MEM_AUTO_LEVELING_MODE} {1}
set_instance_parameter_value hps {MEM_BANKADDR_WIDTH} {3}
set_instance_parameter_value hps {MEM_BL} {OTF}
set_instance_parameter_value hps {MEM_BT} {Sequential}
set_instance_parameter_value hps {MEM_CK_PHASE} {0.0}
set_instance_parameter_value hps {MEM_CK_WIDTH} {1}
set_instance_parameter_value hps {MEM_CLK_EN_WIDTH} {1}
set_instance_parameter_value hps {MEM_CLK_FREQ} {333.33}
set_instance_parameter_value hps {MEM_CLK_FREQ_MAX} {800.0}
set_instance_parameter_value hps {MEM_COL_ADDR_WIDTH} {10}
set_instance_parameter_value hps {MEM_CS_WIDTH} {1}
set_instance_parameter_value hps {MEM_DEVICE} {MISSING_MODEL}
set_instance_parameter_value hps {MEM_DLL_EN} {1}
set_instance_parameter_value hps {MEM_DQ_PER_DQS} {8}
set_instance_parameter_value hps {MEM_DQ_WIDTH} {32}
set_instance_parameter_value hps {MEM_DRV_STR} {RZQ/6}
set_instance_parameter_value hps {MEM_FORMAT} {DISCRETE}
set_instance_parameter_value hps {MEM_GUARANTEED_WRITE_INIT} {0}
set_instance_parameter_value hps {MEM_IF_BOARD_BASE_DELAY} {10}
set_instance_parameter_value hps {MEM_IF_DM_PINS_EN} {1}
set_instance_parameter_value hps {MEM_IF_DQSN_EN} {1}
set_instance_parameter_value hps {MEM_IF_SIM_VALID_WINDOW} {0}
set_instance_parameter_value hps {MEM_INIT_EN} {0}
set_instance_parameter_value hps {MEM_INIT_FILE} {}
set_instance_parameter_value hps {MEM_MIRROR_ADDRESSING} {0}
set_instance_parameter_value hps {MEM_NUMBER_OF_DIMMS} {1}
set_instance_parameter_value hps {MEM_NUMBER_OF_RANKS_PER_DEVICE} {1}
set_instance_parameter_value hps {MEM_NUMBER_OF_RANKS_PER_DIMM} {1}
set_instance_parameter_value hps {MEM_PD} {DLL off}
set_instance_parameter_value hps {MEM_RANK_MULTIPLICATION_FACTOR} {1}
set_instance_parameter_value hps {MEM_ROW_ADDR_WIDTH} {15}
set_instance_parameter_value hps {MEM_RTT_NOM} {RZQ/6}
set_instance_parameter_value hps {MEM_RTT_WR} {Dynamic ODT off}
set_instance_parameter_value hps {MEM_SRT} {Normal}
set_instance_parameter_value hps {MEM_TCL} {5}
set_instance_parameter_value hps {MEM_TFAW_NS} {40.0}
set_instance_parameter_value hps {MEM_TINIT_US} {200}
set_instance_parameter_value hps {MEM_TMRD_CK} {4}
set_instance_parameter_value hps {MEM_TRAS_NS} {35.0}
set_instance_parameter_value hps {MEM_TRCD_NS} {13.75}
set_instance_parameter_value hps {MEM_TREFI_US} {7.8}
set_instance_parameter_value hps {MEM_TRFC_NS} {260.0}
set_instance_parameter_value hps {MEM_TRP_NS} {13.75}
set_instance_parameter_value hps {MEM_TRRD_NS} {12.0}
set_instance_parameter_value hps {MEM_TRTP_NS} {12.0}
set_instance_parameter_value hps {MEM_TWR_NS} {15.0}
set_instance_parameter_value hps {MEM_TWTR} {4}
set_instance_parameter_value hps {MEM_USER_LEVELING_MODE} {Leveling}
set_instance_parameter_value hps {MEM_VENDOR} {JEDEC}
set_instance_parameter_value hps {MEM_VERBOSE} {1}
set_instance_parameter_value hps {MEM_VOLTAGE} {1.5V DDR3}
set_instance_parameter_value hps {MEM_WTCL} {5}
set_instance_parameter_value hps {MPU_EVENTS_Enable} {0}
set_instance_parameter_value hps {MRS_MIRROR_PING_PONG_ATSO} {0}
set_instance_parameter_value hps {MULTICAST_EN} {0}
set_instance_parameter_value hps {NAND_Mode} {N/A}
set_instance_parameter_value hps {NAND_PinMuxing} {Unused}
set_instance_parameter_value hps {NEXTGEN} {1}
set_instance_parameter_value hps {NIOS_ROM_DATA_WIDTH} {32}
set_instance_parameter_value hps {NUM_DLL_SHARING_INTERFACES} {1}
set_instance_parameter_value hps {NUM_EXTRA_REPORT_PATH} {10}
set_instance_parameter_value hps {NUM_OCT_SHARING_INTERFACES} {1}
set_instance_parameter_value hps {NUM_OF_PORTS} {1}
set_instance_parameter_value hps {NUM_PLL_SHARING_INTERFACES} {1}
set_instance_parameter_value hps {OCT_SHARING_MODE} {None}
set_instance_parameter_value hps {P2C_READ_CLOCK_ADD_PHASE} {0.0}
set_instance_parameter_value hps {PACKAGE_DESKEW} {0}
set_instance_parameter_value hps {PARSE_FRIENDLY_DEVICE_FAMILY_PARAM} {}
set_instance_parameter_value hps {PARSE_FRIENDLY_DEVICE_FAMILY_PARAM_VALID} {0}
set_instance_parameter_value hps {PHY_CSR_CONNECTION} {INTERNAL_JTAG}
set_instance_parameter_value hps {PHY_CSR_ENABLED} {0}
set_instance_parameter_value hps {PHY_ONLY} {0}
set_instance_parameter_value hps {PINGPONGPHY_EN} {0}
set_instance_parameter_value hps {PLL_ADDR_CMD_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_ADDR_CMD_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_ADDR_CMD_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_ADDR_CMD_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_ADDR_CMD_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_ADDR_CMD_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_AFI_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_AFI_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_AFI_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_AFI_HALF_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_HALF_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_AFI_HALF_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_AFI_HALF_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_HALF_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_HALF_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_AFI_PHY_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_PHY_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_AFI_PHY_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_AFI_PHY_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_PHY_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_AFI_PHY_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_C2P_WRITE_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_C2P_WRITE_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_C2P_WRITE_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_C2P_WRITE_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_C2P_WRITE_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_C2P_WRITE_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_CLK_PARAM_VALID} {0}
set_instance_parameter_value hps {PLL_CONFIG_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_CONFIG_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_CONFIG_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_CONFIG_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_CONFIG_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_CONFIG_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_DR_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_DR_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_DR_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_DR_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_DR_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_DR_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_HR_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_HR_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_HR_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_HR_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_HR_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_HR_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_LOCATION} {Top_Bottom}
set_instance_parameter_value hps {PLL_MEM_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_MEM_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_MEM_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_MEM_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_MEM_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_MEM_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_NIOS_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_NIOS_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_NIOS_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_NIOS_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_NIOS_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_NIOS_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_P2C_READ_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_P2C_READ_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_P2C_READ_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_P2C_READ_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_P2C_READ_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_P2C_READ_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_SHARING_MODE} {None}
set_instance_parameter_value hps {PLL_WRITE_CLK_DIV_PARAM} {0}
set_instance_parameter_value hps {PLL_WRITE_CLK_FREQ_PARAM} {0.0}
set_instance_parameter_value hps {PLL_WRITE_CLK_FREQ_SIM_STR_PARAM} {}
set_instance_parameter_value hps {PLL_WRITE_CLK_MULT_PARAM} {0}
set_instance_parameter_value hps {PLL_WRITE_CLK_PHASE_PS_PARAM} {0}
set_instance_parameter_value hps {PLL_WRITE_CLK_PHASE_PS_SIM_STR_PARAM} {}
set_instance_parameter_value hps {POWER_OF_TWO_BUS} {0}
set_instance_parameter_value hps {PRIORITY_PORT} {1 1 1 1 1 1}
set_instance_parameter_value hps {QSPI_Mode} {1 SS}
set_instance_parameter_value hps {QSPI_PinMuxing} {HPS I/O Set 0}
set_instance_parameter_value hps {RATE} {Full}
set_instance_parameter_value hps {RDIMM_CONFIG} {0}
set_instance_parameter_value hps {READ_DQ_DQS_CLOCK_SOURCE} {INVERTED_DQS_BUS}
set_instance_parameter_value hps {READ_FIFO_SIZE} {8}
set_instance_parameter_value hps {REFRESH_BURST_VALIDATION} {0}
set_instance_parameter_value hps {REFRESH_INTERVAL} {15000}
set_instance_parameter_value hps {REF_CLK_FREQ} {25.0}
set_instance_parameter_value hps {REF_CLK_FREQ_MAX_PARAM} {0.0}
set_instance_parameter_value hps {REF_CLK_FREQ_MIN_PARAM} {0.0}
set_instance_parameter_value hps {REF_CLK_FREQ_PARAM_VALID} {0}
set_instance_parameter_value hps {S2FCLK_COLDRST_Enable} {0}
set_instance_parameter_value hps {S2FCLK_PENDINGRST_Enable} {0}
set_instance_parameter_value hps {S2FCLK_USER0CLK_Enable} {0}
set_instance_parameter_value hps {S2FCLK_USER1CLK_Enable} {1}
set_instance_parameter_value hps {S2FCLK_USER1CLK_FREQ} {100.0}
set_instance_parameter_value hps {S2FCLK_USER2CLK} {5}
set_instance_parameter_value hps {S2FCLK_USER2CLK_Enable} {0}
set_instance_parameter_value hps {S2FCLK_USER2CLK_FREQ} {100.0}
set_instance_parameter_value hps {S2FINTERRUPT_CAN_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_CLOCKPERIPHERAL_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_CTI_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_DMA_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_EMAC_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_FPGAMANAGER_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_GPIO_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_I2CEMAC_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_I2CPERIPHERAL_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_L4TIMER_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_NAND_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_OSCTIMER_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_QSPI_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_SDMMC_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_SPIMASTER_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_SPISLAVE_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_UART_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_USB_Enable} {0}
set_instance_parameter_value hps {S2FINTERRUPT_WATCHDOG_Enable} {0}
set_instance_parameter_value hps {S2F_Width} {0}
set_instance_parameter_value hps {SDIO_Mode} {4-bit Data}
set_instance_parameter_value hps {SDIO_PinMuxing} {HPS I/O Set 0}
set_instance_parameter_value hps {SEQUENCER_TYPE} {NIOS}
set_instance_parameter_value hps {SEQ_MODE} {0}
set_instance_parameter_value hps {SKIP_MEM_INIT} {1}
set_instance_parameter_value hps {SOPC_COMPAT_RESET} {0}
set_instance_parameter_value hps {SPEED_GRADE} {7}
set_instance_parameter_value hps {SPIM0_Mode} {N/A}
set_instance_parameter_value hps {SPIM0_PinMuxing} {Unused}
set_instance_parameter_value hps {SPIM1_Mode} {N/A}
set_instance_parameter_value hps {SPIM1_PinMuxing} {Unused}
set_instance_parameter_value hps {SPIS0_Mode} {N/A}
set_instance_parameter_value hps {SPIS0_PinMuxing} {Unused}
set_instance_parameter_value hps {SPIS1_Mode} {N/A}
set_instance_parameter_value hps {SPIS1_PinMuxing} {Unused}
set_instance_parameter_value hps {STARVE_LIMIT} {10}
set_instance_parameter_value hps {STM_Enable} {0}
set_instance_parameter_value hps {TEST_Enable} {0}
set_instance_parameter_value hps {TIMING_BOARD_AC_EYE_REDUCTION_H} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_AC_EYE_REDUCTION_SU} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_AC_SKEW} {0.02}
set_instance_parameter_value hps {TIMING_BOARD_AC_SLEW_RATE} {1.0}
set_instance_parameter_value hps {TIMING_BOARD_AC_TO_CK_SKEW} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_CK_CKN_SLEW_RATE} {2.0}
set_instance_parameter_value hps {TIMING_BOARD_DELTA_DQS_ARRIVAL_TIME} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_DELTA_READ_DQS_ARRIVAL_TIME} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_DERATE_METHOD} {AUTO}
set_instance_parameter_value hps {TIMING_BOARD_DQS_DQSN_SLEW_RATE} {2.0}
set_instance_parameter_value hps {TIMING_BOARD_DQ_EYE_REDUCTION} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_DQ_SLEW_RATE} {1.0}
set_instance_parameter_value hps {TIMING_BOARD_DQ_TO_DQS_SKEW} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_ISI_METHOD} {AUTO}
set_instance_parameter_value hps {TIMING_BOARD_MAX_CK_DELAY} {0.6}
set_instance_parameter_value hps {TIMING_BOARD_MAX_DQS_DELAY} {0.6}
set_instance_parameter_value hps {TIMING_BOARD_READ_DQ_EYE_REDUCTION} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_SKEW_BETWEEN_DIMMS} {0.05}
set_instance_parameter_value hps {TIMING_BOARD_SKEW_BETWEEN_DQS} {0.02}
set_instance_parameter_value hps {TIMING_BOARD_SKEW_CKDQS_DIMM_MAX} {0.01}
set_instance_parameter_value hps {TIMING_BOARD_SKEW_CKDQS_DIMM_MIN} {-0.01}
set_instance_parameter_value hps {TIMING_BOARD_SKEW_WITHIN_DQS} {0.02}
set_instance_parameter_value hps {TIMING_BOARD_TDH} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_TDS} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_TIH} {0.0}
set_instance_parameter_value hps {TIMING_BOARD_TIS} {0.0}
set_instance_parameter_value hps {TIMING_TDH} {55}
set_instance_parameter_value hps {TIMING_TDQSCK} {225}
set_instance_parameter_value hps {TIMING_TDQSCKDL} {1200}
set_instance_parameter_value hps {TIMING_TDQSCKDM} {900}
set_instance_parameter_value hps {TIMING_TDQSCKDS} {450}
set_instance_parameter_value hps {TIMING_TDQSH} {0.35}
set_instance_parameter_value hps {TIMING_TDQSQ} {100}
set_instance_parameter_value hps {TIMING_TDQSS} {0.27}
set_instance_parameter_value hps {TIMING_TDS} {25}
set_instance_parameter_value hps {TIMING_TDSH} {0.18}
set_instance_parameter_value hps {TIMING_TDSS} {0.18}
set_instance_parameter_value hps {TIMING_TIH} {130}
set_instance_parameter_value hps {TIMING_TIS} {185}
set_instance_parameter_value hps {TIMING_TQH} {0.38}
set_instance_parameter_value hps {TIMING_TQHS} {300}
set_instance_parameter_value hps {TIMING_TQSH} {0.55}
set_instance_parameter_value hps {TPIUFPGA_Enable} {0}
set_instance_parameter_value hps {TPIUFPGA_alt} {0}
set_instance_parameter_value hps {TRACE_Mode} {N/A}
set_instance_parameter_value hps {TRACE_PinMuxing} {Unused}
set_instance_parameter_value hps {TRACKING_ERROR_TEST} {0}
set_instance_parameter_value hps {TRACKING_WATCH_TEST} {0}
set_instance_parameter_value hps {TREFI} {35100}
set_instance_parameter_value hps {TRFC} {350}
set_instance_parameter_value hps {UART0_Mode} {No Flow Control}
set_instance_parameter_value hps {UART0_PinMuxing} {HPS I/O Set 0}
set_instance_parameter_value hps {UART1_Mode} {N/A}
set_instance_parameter_value hps {UART1_PinMuxing} {Unused}
set_instance_parameter_value hps {USB0_Mode} {N/A}
set_instance_parameter_value hps {USB0_PinMuxing} {Unused}
set_instance_parameter_value hps {USB1_Mode} {SDR}
set_instance_parameter_value hps {USB1_PinMuxing} {HPS I/O Set 0}
set_instance_parameter_value hps {USER_DEBUG_LEVEL} {1}
set_instance_parameter_value hps {USE_AXI_ADAPTOR} {0}
set_instance_parameter_value hps {USE_FAKE_PHY} {0}
set_instance_parameter_value hps {USE_MEM_CLK_FREQ} {0}
set_instance_parameter_value hps {USE_MM_ADAPTOR} {1}
set_instance_parameter_value hps {USE_SEQUENCER_BFM} {0}
set_instance_parameter_value hps {WEIGHT_PORT} {0 0 0 0 0 0}
set_instance_parameter_value hps {WRBUFFER_ADDR_WIDTH} {6}
set_instance_parameter_value hps {can0_clk_div} {1}
set_instance_parameter_value hps {can1_clk_div} {1}
set_instance_parameter_value hps {configure_advanced_parameters} {0}
set_instance_parameter_value hps {customize_device_pll_info} {0}
set_instance_parameter_value hps {dbctrl_stayosc1} {1}
set_instance_parameter_value hps {dbg_at_clk_div} {0}
set_instance_parameter_value hps {dbg_clk_div} {1}
set_instance_parameter_value hps {dbg_trace_clk_div} {0}
set_instance_parameter_value hps {desired_can0_clk_mhz} {100.0}
set_instance_parameter_value hps {desired_can1_clk_mhz} {100.0}
set_instance_parameter_value hps {desired_cfg_clk_mhz} {100.0}
set_instance_parameter_value hps {desired_emac0_clk_mhz} {250.0}
set_instance_parameter_value hps {desired_emac1_clk_mhz} {250.0}
set_instance_parameter_value hps {desired_gpio_db_clk_hz} {32000}
set_instance_parameter_value hps {desired_l4_mp_clk_mhz} {100.0}
set_instance_parameter_value hps {desired_l4_sp_clk_mhz} {100.0}
set_instance_parameter_value hps {desired_mpu_clk_mhz} {800.0}
set_instance_parameter_value hps {desired_nand_clk_mhz} {12.5}
set_instance_parameter_value hps {desired_qspi_clk_mhz} {400.0}
set_instance_parameter_value hps {desired_sdmmc_clk_mhz} {200.0}
set_instance_parameter_value hps {desired_spi_m_clk_mhz} {200.0}
set_instance_parameter_value hps {desired_usb_mp_clk_mhz} {200.0}
set_instance_parameter_value hps {device_pll_info_manual} {{320000000 1600000000} {320000000 1000000000} {800000000 400000000 400000000}}
set_instance_parameter_value hps {eosc1_clk_mhz} {25.0}
set_instance_parameter_value hps {eosc2_clk_mhz} {25.0}
set_instance_parameter_value hps {gpio_db_clk_div} {6249}
set_instance_parameter_value hps {l3_mp_clk_div} {1}
set_instance_parameter_value hps {l3_sp_clk_div} {1}
set_instance_parameter_value hps {l4_mp_clk_div} {1}
set_instance_parameter_value hps {l4_mp_clk_source} {1}
set_instance_parameter_value hps {l4_sp_clk_div} {1}
set_instance_parameter_value hps {l4_sp_clk_source} {1}
set_instance_parameter_value hps {main_pll_c3} {3}
set_instance_parameter_value hps {main_pll_c4} {3}
set_instance_parameter_value hps {main_pll_c5} {15}
set_instance_parameter_value hps {main_pll_m} {63}
set_instance_parameter_value hps {main_pll_n} {0}
set_instance_parameter_value hps {nand_clk_source} {2}
set_instance_parameter_value hps {periph_pll_c0} {3}
set_instance_parameter_value hps {periph_pll_c1} {3}
set_instance_parameter_value hps {periph_pll_c2} {1}
set_instance_parameter_value hps {periph_pll_c3} {19}
set_instance_parameter_value hps {periph_pll_c4} {4}
set_instance_parameter_value hps {periph_pll_c5} {9}
set_instance_parameter_value hps {periph_pll_m} {79}
set_instance_parameter_value hps {periph_pll_n} {1}
set_instance_parameter_value hps {periph_pll_source} {0}
set_instance_parameter_value hps {qspi_clk_source} {1}
set_instance_parameter_value hps {sdmmc_clk_source} {2}
set_instance_parameter_value hps {show_advanced_parameters} {0}
set_instance_parameter_value hps {show_debug_info_as_warning_msg} {0}
set_instance_parameter_value hps {show_warning_as_error_msg} {0}
set_instance_parameter_value hps {spi_m_clk_div} {0}
set_instance_parameter_value hps {usb_mp_clk_div} {0}
set_instance_parameter_value hps {use_default_mpu_clk} {1}

add_instance reset_bridge altera_reset_bridge 21.1
set_instance_parameter_value reset_bridge {ACTIVE_LOW_RESET} {1}
set_instance_parameter_value reset_bridge {NUM_RESET_OUTPUTS} {1}
set_instance_parameter_value reset_bridge {SYNCHRONOUS_EDGES} {none}
set_instance_parameter_value reset_bridge {USE_RESET_REQUEST} {0}

# exported interfaces
add_interface ddr3 conduit end
set_interface_property ddr3 EXPORT_OF hps.memory
add_interface fpga_led conduit end
set_interface_property fpga_led EXPORT_OF fpga_led.external_connection
add_interface fpga_sw conduit end
set_interface_property fpga_sw EXPORT_OF fpga_sw.external_connection
add_interface hdmi conduit end
set_interface_property hdmi EXPORT_OF hdmi_axi_tx.hdmi_if
add_interface io conduit end
set_interface_property io EXPORT_OF hps.hps_io
add_interface reset reset sink
set_interface_property reset EXPORT_OF reset_bridge.in_reset

# connections and connection parameters
add_connection hdmi_axi_dmac.m_axis hdmi_axi_tx.vdma_if

add_connection hdmi_axi_dmac.m_src_axi hps.f2h_sdram0_data
set_connection_parameter_value hdmi_axi_dmac.m_src_axi/hps.f2h_sdram0_data arbitrationPriority {1}
set_connection_parameter_value hdmi_axi_dmac.m_src_axi/hps.f2h_sdram0_data baseAddress {0x0000}
set_connection_parameter_value hdmi_axi_dmac.m_src_axi/hps.f2h_sdram0_data defaultConnection {0}

add_connection hdmi_pll.outclk0 hdmi_axi_tx.hdmi_clock

add_connection hps.f2h_irq0 fpga_sw.irq
set_connection_parameter_value hps.f2h_irq0/fpga_sw.irq irqNumber {1}

add_connection hps.f2h_irq0 hdmi_axi_dmac.interrupt_sender
set_connection_parameter_value hps.f2h_irq0/hdmi_axi_dmac.interrupt_sender irqNumber {2}

add_connection hps.f2h_irq1 fpga_sw.irq
set_connection_parameter_value hps.f2h_irq1/fpga_sw.irq irqNumber {1}

add_connection hps.f2h_irq1 hdmi_axi_dmac.interrupt_sender
set_connection_parameter_value hps.f2h_irq1/hdmi_axi_dmac.interrupt_sender irqNumber {2}

add_connection hps.h2f_lw_axi_master fpga_led.s1
set_connection_parameter_value hps.h2f_lw_axi_master/fpga_led.s1 arbitrationPriority {1}
set_connection_parameter_value hps.h2f_lw_axi_master/fpga_led.s1 baseAddress {0x1010}
# #TE_MOD#_Add next line
lock_avalon_base_address fpga_led.s1 
set_connection_parameter_value hps.h2f_lw_axi_master/fpga_led.s1 defaultConnection {0}

add_connection hps.h2f_lw_axi_master fpga_sw.s1
set_connection_parameter_value hps.h2f_lw_axi_master/fpga_sw.s1 arbitrationPriority {1}
set_connection_parameter_value hps.h2f_lw_axi_master/fpga_sw.s1 baseAddress {0x1000}
# #TE_MOD#_Add next line
lock_avalon_base_address fpga_sw.s1 
set_connection_parameter_value hps.h2f_lw_axi_master/fpga_sw.s1 defaultConnection {0}

add_connection hps.h2f_lw_axi_master hdmi_axi_dmac.s_axi
set_connection_parameter_value hps.h2f_lw_axi_master/hdmi_axi_dmac.s_axi arbitrationPriority {1}
set_connection_parameter_value hps.h2f_lw_axi_master/hdmi_axi_dmac.s_axi baseAddress {0x00010000}
# #TE_MOD#_Add next line
lock_avalon_base_address hdmi_axi_dmac.s_axi 
set_connection_parameter_value hps.h2f_lw_axi_master/hdmi_axi_dmac.s_axi defaultConnection {0}

add_connection hps.h2f_lw_axi_master hdmi_axi_tx.s_axi
set_connection_parameter_value hps.h2f_lw_axi_master/hdmi_axi_tx.s_axi arbitrationPriority {1}
set_connection_parameter_value hps.h2f_lw_axi_master/hdmi_axi_tx.s_axi baseAddress {0x00020000}
# #TE_MOD#_Add next line
lock_avalon_base_address hdmi_axi_tx.s_axi 
set_connection_parameter_value hps.h2f_lw_axi_master/hdmi_axi_tx.s_axi defaultConnection {0}

add_connection hps.h2f_reset fpga_led.reset

add_connection hps.h2f_reset fpga_sw.reset

add_connection hps.h2f_reset hdmi_axi_dmac.m_src_axi_reset

add_connection hps.h2f_reset hdmi_axi_dmac.s_axi_reset

add_connection hps.h2f_reset hdmi_axi_tx.s_axi_reset

add_connection hps.h2f_reset hdmi_pll.reset

add_connection hps.h2f_user1_clock fpga_led.clk

add_connection hps.h2f_user1_clock fpga_sw.clk

add_connection hps.h2f_user1_clock hdmi_axi_dmac.if_m_axis_aclk

add_connection hps.h2f_user1_clock hdmi_axi_dmac.m_src_axi_clock

add_connection hps.h2f_user1_clock hdmi_axi_dmac.s_axi_clock

add_connection hps.h2f_user1_clock hdmi_axi_tx.s_axi_clock

add_connection hps.h2f_user1_clock hdmi_axi_tx.vdma_clock

add_connection hps.h2f_user1_clock hdmi_pll.refclk

add_connection hps.h2f_user1_clock hps.f2h_sdram0_clock

add_connection hps.h2f_user1_clock hps.h2f_lw_axi_clock

add_connection reset_bridge.out_reset fpga_led.reset

add_connection reset_bridge.out_reset fpga_sw.reset

add_connection reset_bridge.out_reset hdmi_axi_dmac.m_src_axi_reset

add_connection reset_bridge.out_reset hdmi_axi_dmac.s_axi_reset

add_connection reset_bridge.out_reset hdmi_axi_tx.s_axi_reset

add_connection reset_bridge.out_reset hdmi_pll.reset

# interconnect requirements
set_interconnect_requirement {$system} {qsys_mm.clockCrossingAdapter} {HANDSHAKE}
set_interconnect_requirement {$system} {qsys_mm.enableEccProtection} {FALSE}
set_interconnect_requirement {$system} {qsys_mm.insertDefaultSlave} {FALSE}
set_interconnect_requirement {$system} {qsys_mm.maxAdditionalLatency} {1}
# #TE_MOD#_Add next line
auto_assign_system_base_addresses 

save_system {QSYS_test_board.qsys}

